<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE muclient>
<!-- Saved on piątek, styczeń 2014, 11:30  -->
<!-- MuClient version 4.84 -->

<!-- Plugin "utrzymywanie" generated by Plugin Wizard -->

<muclient>
<plugin
   name="utrzymywanie"
   author="Marcin Szydelski"
   id="04e72fa049e1bf73f7bdc6f0"
   language="Lua"
   purpose="wysylanie do Arkadii potwierdzenia w celu utrzymania polaczenia"
   date_written="2014-01-03 23:26:32"
   requires="4.84"
   version="1.0"
   >
<description trim="y">
<![CDATA[
Skrypt sluzy do przesylania do MUDa Arkadia odpowiedzi na pytanie o stan naszego lacza.
Wykorzystywane jest po wlaczeniu na mudzie opcji:
UTRZYMYWANIE polaczenia:                Obustronne

za pomoca komendy:
opcje utrzymywanie obustronne

Sposob uzycia:
Wystarczy zainstalowac.

]]>
</description>

</plugin>


<!--  Get our standard constants -->

<include name="constants.lua"/>

<!--  Script  -->


<script>
<![CDATA[

codes = {
  ["IAC WILL NOP"]  = "\255\251\241",
  ["IAC DONT NOP"]  = "\255\254\241"
}

OnPluginPacketReceived = function (packet)
  if string.find (packet, codes["IAC WILL NOP"]) then
    SendPkt(codes["IAC DONT NOP"])
  end
end




]]>
</script>


<!--  Plugin help  -->

<aliases>
  <alias
   script="OnHelp"
   match="utrzymywanie:help"
   enabled="y"
  >
  </alias>
</aliases>

<script>
<![CDATA[
function OnHelp ()
  world.Note (world.GetPluginInfo (world.GetPluginID (), 3))
end
]]>
</script> 

</muclient>
